Google -Play - services_lib удается разрешить цель " Android - 9

? Randolphg @ | Original: StackOverFlow
---

Когда я начинаю мой Android ADT большинство, если не все мои проекты имеют красный восклицательный рядом с ними. И когда я пытаюсь построить и запустить их, я получаю сообщение об ошибке :

" Google - плей- services_lib ] Не удается решить проблему цель " Android - 9 " "

Я не уверен, что это означает, как я в курсе моих обновлений с моим менеджером Android SDK.

Я попытался перезагрузки затмение. Я попытался загрузить другую Android SDK и работает оттуда, но все ещета же ошибка .

Пожалуйста, помогите направить меня в правильном направлении.

---

Top 5 ответ

1Rod_Algonquin @

егоMnimum версия SDK в ур проявляется его должно быть больше, чем версия 9

2user3640330 @

На самом деле загрузить последнюю ADT комплект для Eclipse, дает ту же ошибку при попытке импортировать google_play_services_lib ( 17 ). http://developer.android.com/sdk/index.html#download

Откройте SDK Manager, нажмите устаревшими (так, API 9 показывает вверх), и захват API 9. Это действительно то, что кажется простым надзора и должны быть исправлены. Надеюсь, что это помогает другим .

3Andrew @

У меня была эта проблема появляется после установки последних обновлений с помощью ADT .

В Eclipse я получил свой проект и проект по Google - плей- services_lib .

Я обнаружил, что если вы измените минимальную версию SDK (как сказал ранее ) до более чем 9 это не достаточно. Я также должен был изменить "цель построить проект " ( Недвижимость / Android /), чтобы соответствовать версии, что я установить в манифесте .

4jsanmarb @

Я установил свойства проекта установки цели сборки проекта :

Google -Play - services_lib удается разрешить цель " Android - 9

Это работает для меня.

5Shashidhar @

Изменить андроид : minSdkVersion = " 9 " до более чем 9 в AndroidManifest.xml файла то есть, андроид : minSdkVersion = " 10 " Делая это, я решить мою проблему Надеюсь, что это помогает !!